- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libvisio::VSDZipStreamImpl Struct Reference

## Public Member Functions
| VSDZipStreamImpl (WPXInputStream *input)
| ~VSDZipStreamImpl ()
bool | isZipStream ()
WPXInputStream * | getSubstream (const char *name)

## Public Attributes
WPXInputStream * | m_input
unsigned | m_cdir_offset
std::map< std::string, CentralDirectoryEntry > | m_cdir
bool | m_initialized

## Private Member Functions
| VSDZipStreamImpl (const VSDZipStreamImpl &)
VSDZipStreamImpl & | operator= (const VSDZipStreamImpl &)
bool | findCentralDirectoryEnd ()
bool | readCentralDirectoryEnd (CentralDirectoryEnd &end)
bool | readCentralDirectory (const CentralDirectoryEnd &end)
bool | readLocalFileHeader (LocalFileHeader &header)
bool | areHeadersConsistent (const LocalFileHeader &header, const CentralDirectoryEntry &entry)

## Constructor & Destructor Documentation

libvisio::VSDZipStreamImpl::VSDZipStreamImpl | ( | WPXInputStream * | input | ) |
| inline

libvisio::VSDZipStreamImpl::~VSDZipStreamImpl | ( |  | ) |
| inline

libvisio::VSDZipStreamImpl::VSDZipStreamImpl | ( | const VSDZipStreamImpl & |  | ) |
| private

## Member Function Documentation

bool libvisio::VSDZipStreamImpl::areHeadersConsistent | ( | const LocalFileHeader & | header,
|  | const CentralDirectoryEntry & | entry
| ) |  |
| private

bool libvisio::VSDZipStreamImpl::findCentralDirectoryEnd | ( |  | ) |
| private

WPXInputStream * libvisio::VSDZipStreamImpl::getSubstream | ( | const char * | name | ) |

bool libvisio::VSDZipStreamImpl::isZipStream | ( |  | ) |

VSDZipStreamImpl& libvisio::VSDZipStreamImpl::operator= | ( | const VSDZipStreamImpl & |  | ) |
| private

bool libvisio::VSDZipStreamImpl::readCentralDirectory | ( | const CentralDirectoryEnd & | end | ) |
| private

bool libvisio::VSDZipStreamImpl::readCentralDirectoryEnd | ( | CentralDirectoryEnd & | end | ) |
| private

bool libvisio::VSDZipStreamImpl::readLocalFileHeader | ( | LocalFileHeader & | header | ) |
| private

## Member Data Documentation

std::map<std::string, CentralDirectoryEntry> libvisio::VSDZipStreamImpl::m_cdir

unsigned libvisio::VSDZipStreamImpl::m_cdir_offset

bool libvisio::VSDZipStreamImpl::m_initialized

WPXInputStream* libvisio::VSDZipStreamImpl::m_input

The documentation for this struct was generated from the following file:

- VSDZipStream.cpp